ConfigEipEgressIp
1. API Description
This API (ConfigEipEgressIp) is used to set a specified elastic IP bound to a network interface as the egress IP of that network interface.
2. Input Parameters
The following request parameter list only provides API request parameters.
Parameter Name
Required
Type
Description
3. Output Parameters
Parameter Name
Type
Description
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Set the egress elastic IP.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ConfigEipEgressIp
Request:
{
"eipId": "xxx"
}
Response:
{
"requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
"response": {
"requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
404
INVALID_EIP_NOT_FOUND
Elastic IP does not exist.
400
OPERATION_DENIED_EIP_NOT_ASSIGNED
Elastic IP is not bound.
Last updated